Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231087 - Review Request: perl-Devel-Leak - Utility for looking for perl objects that are not reclaimed
Summary: Review Request: perl-Devel-Leak - Utility for looking for perl objects that a...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 00:59 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 15:42:09 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-03-06 00:59:41 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Devel-Leak/perl-Devel-Leak.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Devel-Leak-0.03-1.src.rpm
Description:
This module provides a basic way to discover if a piece of perl code
is allocating perl data and not releasing them again.

Comment 1 Parag AN(पराग) 2007-03-06 11:12:55 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
9ee2cf88bd1dbc6091e38ef4597b54bb  Devel-Leak-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  
+ License text is included in package.
+ %doc is small and no need to have -doc package
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/basic....new 0x962244c :
new 0x9622494 : 
ok
All tests successful.
Files=1, Tests=3,  0 wallclock secs ( 0.02 cusr +  0.00 csys =  0.02 CPU)
+ Provides: Leak.so perl(Devel::Leak) = 0.03

APPROVED.

Comment 2 Steven Pritchard 2007-03-06 17:14:38 UTC
New Package CVS Request
=======================
Package Name: perl-Devel-Leak
Short Description: Utility for looking for perl objects that are not reclaimed
Owners: steve@silug.org
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Dennis Gilmore 2007-03-09 02:27:57 UTC
Branched


Note You need to log in before you can comment on or make changes to this bug.